PETSc version 3.15.5
Fix/Edit manual page

# SNESLineSearchSetFunction

Sets the function evaluation used by the SNES line search

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetFunction(SNESLineSearch linesearch, PetscErrorCode (*func)(SNES,Vec,Vec))

### Input Parameters

| linesearch | - the SNESLineSearch context + func - function evaluation routine

### Notes

This is used internally by PETSc and not called by users

### See Also

SNESGetLineSearch(), SNESSetFunction()

### Level

developer

### Location

src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages